GWT 2.7.0

## com.google.gwt.regexp.shared
Class SplitResult

    java.lang.Object
      com.google.gwt.regexp.shared.SplitResult

    public class SplitResult

extends java.lang.Object

Pure Java implementation of a regular expression split result.

Constructor Summary
`SplitResult(java.lang.String[] result)`

Method Summary
`java.lang.String` | `get(int index)` Returns one the strings split off.
`int` | `length()` Returns the number of strings split off.
`void` | `set(int index, java.lang.String value)` Sets (overrides) one of the strings split off.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplitResult

    public SplitResult(java.lang.String[] result)

Method Detail

### get

    public java.lang.String get(int index)

  Returns one the strings split off.

  Parameters:
    `index` - the index of the string to be returned.
  Returns:
    The index'th string resulting from the split.

### length

    public int length()

  Returns the number of strings split off.

### set

    public void set(int index,
                    java.lang.String value)

  Sets (overrides) one of the strings split off.

  Parameters:
    `index` - the index of the string to be set.

GWT 2.7.0